-----------------------------------------------------------------------------

local AloftThreatData = Aloft:NewModule("ThreatData", "AceEvent-2.0")
local Threat = AceLibrary("Threat-1.0")

-----------------------------------------------------------------------------

Aloft.TagData.threat =
{
	data = "threat",
	events = "Aloft:OnThreatDataChanged",
	tableData = "threat",
	numeric = true
}

-----------------------------------------------------------------------------

function AloftThreatData:ProvidesData()
	return "threat"
end

function AloftThreatData:EnableDataSource()
	self:RegisterEvent("Threat_ThreatUpdated", "OnThreatUpdated")
end

-----------------------------------------------------------------------------

function AloftThreatData:UpdateData(aloftData)
	aloftData.threat = Threat:GetThreat(UnitName("player"), aloftData.name)
end

function AloftThreatData:OnThreatUpdated(playerName, playerUnit, targetName, threatValue)
-- TODO
--[[
	local aloftData = Aloft:GetNameplate(UnitName(unitid))
	if aloftData and aloftData.unitid then
		aloftData.mana = UnitMana(unitid)
		aloftData.maxMana = UnitManaMax(unitid)
		aloftData.powerType = UnitPowerType(unitid)
		self:TriggerEvent("Aloft:OnManaDataChanged", aloftData)
	end
]]
end


-----------------------------------------------------------------------------
